Webhook
Get webhook by ID
Returns a specific webhook with its event subscriptions.
GET
/
v1
/
webhook
/
{webhookId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.webhook.getByID('webhookId');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.webhook.get_by_id(
"webhookId",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/webhook/{webhookId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"url": "<string>",
"headers": {},
"events": [],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the webhook to retrieve
Response
The requested webhook with its event subscriptions
Webhook with its subscribed event types
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.webhook.getByID('webhookId');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.webhook.get_by_id(
"webhookId",
)
print(response.data)